%define module  Class-Data-Inheritable
%define version 0.04
%define release %mkrel 1
%define	pdir	Class

Summary: 	%{module} module for perl
Name: 		perl-%{module}
Version: 	%{version}
Release: 	%{release}
License: 	GPL or Artistic
Group: 		Development/Perl
Source0:	ftp://ftp.perl.org/pub/CPAN/modules/by-module/%{pdir}/%{module}-%{version}.tar.bz2
Url: 		http://search.cpan.org/search?dist=%{module}
BuildArch: 	noarch
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	perl-devel

%description
%{module} module for perl

%prep
%setup -q  -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make
make test


%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean 
rm -rf $RPM_BUILD_ROOT

%files
%defattr(444,root,root,755)
%{perl_vendorlib}/Class/Data/*
%{_mandir}/*/*

%changelog
* Mon Sep 26 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.04-1mdk
- New release 0.04

* Thu Sep 23 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.02-7mdk
- rebuild

* Tue Aug 26 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.02-6mdk
- rebuild for new perl
- drop $RPM_OPT_FLAGS, noarch..
- use %%makeinstall_std macro
- bzip2 source

* Wed May 28 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.02-5mdk
- rebuild for new auto{prov,req}

* Sat Feb 01 2003 Lenny Cartier <lenny@mandrakesoft.com 0.02-4mdk
- rebuild

* Wed Jul 24 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.02-3mdk
- fix requires

* Tue Jul 23 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.02-2mdk
- rebuild for new perl

* Mon Jun 10 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.02-1mdk
- Peter Chen <petechen@netilla.com> :
	- 0.02

